<div class="container-fluid">

  <h1 style="color: black;">Création d'un article</h1>

<form [formGroup]="articleForm" (ngSubmit)="onSubmit()" novalidate>

    <div class="row">
        <div class="form-group col-md-4">
          <label for="designation">Désignation</label>
          <input type="text" class=" form-control" formControlName="designation" required>
          <app-form-error [showError]="submitted" [field]="designation"></app-form-error>
        </div>
    </div>

    <div class="row">
      <div class="form-group col-md-4">
        <label for="prix">Prix</label>
        <input type="number" class=" form-control" formControlName="prix" required>
        <app-form-error [showError]="submitted" [field]="prix"></app-form-error>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-md-4">
        <label for="exampleFormControlTextarea1">Description</label>
        <textarea class="form-control" formControlName="content" required></textarea>
        <app-form-error [showError]="submitted" [field]="content"></app-form-error>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-md-4">
        <label for="formGroupExampleInput">Stock</label>
        <input type="text" formControlName="stock" class="form-control" required>
        <app-form-error [showError]="submitted" [field]="stock"></app-form-error>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-md-4">
        <label for="exampleFormControlSelect1">Constructeur</label>
        <select class="form-control" formControlName="constructeur" (change)="onConstructeur()" required>
          <option *ngFor='let const of listeConstructeurs' value={{const.id}} selected>{{const.nom}}</option>
        </select>
      <app-form-error [showError]="submitted" [field]="constructeur"></app-form-error>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-md-4">
        <label for="exampleFormControlSelect1">Catégorie</label>
        <select class="form-control" formControlName="categorie" (change)="onCategorie()" required>
          <option *ngFor='let cat of listeCategories' value={{cat.id}}>{{cat.nom}}</option>
        </select>
        <app-form-error [showError]="submitted" [field]="categorie"></app-form-error>
      </div>
    </div>

    <div class="row">
      <div class="form-group">
        <label> choix de l'image :</label>
        <img [src]="imgURL" height="200" *ngIf="imgURL"> <br />
        <input #file type="file" accept='image/*' (change)="onSelectFile($event)" formControlName='image' required>
        <app-form-error [showError]="submitted" [field]="image"></app-form-error>
      </div>
    </div>
    <button type="submit" class="btn btn-primary">Créer article</button>
  </form>
</div>
